This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 730985 - alt+rightclick not recognized by gnome panel in f16 spice guest (works in vnc)
alt+rightclick not recognized by gnome panel in f16 spice guest (works in vnc)
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: spice-gtk (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc-Andre Lureau
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F16-accepted/F16FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-08-16 09:19 EDT by Athmane Madjoudj
Modified: 2013-01-14 20:11 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 20:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the issue (705.89 KB, image/png)
2011-08-16 09:25 EDT, Athmane Madjoudj
no flags Details
Another screenshot of the issue (713.28 KB, image/png)
2011-08-16 09:27 EDT, Athmane Madjoudj
no flags Details

  None (edit)
Description Athmane Madjoudj 2011-08-16 09:19:09 EDT
Description of problem:
I started a Fedora 16 Alpha RC4 Desktop [1] in fallback mode and I noticed that customizing panel objects / layout with 'Alt + Right Click' not working, this worked fine under F15.

[1] http://dl.fedoraproject.org/pub/alt/stage/16-Alpha.RC4/Live/x86_64/Fedora-16-Alpha-x86_64-Live-Desktop.iso

Version-Release number of selected component (if applicable):
gnome-panel-3.0.2-3
metacity-2.34.1-1


How reproducible:
100%

Steps to Reproduce:
1. Start F16 Alpha RC4
2. Log in
3. Alt + Right Click on Clock or free space on the top panel
  
Actual results:
Window manager menu appears

Expected results:
Panel customization menu appears
Comment 1 Athmane Madjoudj 2011-08-16 09:25:00 EDT
Created attachment 518486 [details]
Screenshot of the issue
Comment 2 Athmane Madjoudj 2011-08-16 09:27:03 EDT
Created attachment 518487 [details]
Another screenshot of the issue
Comment 3 Tim Flink 2011-09-02 00:54:20 EDT
Proposing as a blocker for Fedora 16 final because it interferes with desktop error checks testcase [1] which is a part of the test plan for Fedora 16 final.

[1] https://fedoraproject.org/wiki/QA:Testcase_desktop_error_checks
Comment 4 Adam Williamson 2011-09-30 14:25:40 EDT
Discussed at the 2011-09-30 blocker review meeting. We agreed that this is a blocker bug as described, so we accept it, but we suspect it has since been resolved: Bruno says he can use alt+right-click correctly in fallback mode. Athmane, can you please test with Beta and verify? Thanks!

Criterion is "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use"
Comment 5 Athmane Madjoudj 2011-09-30 17:22:36 EDT
It seems to happen only on KVM guests not in physical boxes (I tested it with the beta live CD), also the window manager menu that appears in the screenshoots belongs to the host, I figured out this by changing the GTK theme on the host.

The explication of this is that qemu-kvm and virt-manager are not capturing  alt+right-click into the guest screen (also I test with VNC and SDL display).

So I don't think that this is a Final Blocker (or a panel bug).
Comment 6 Adam Williamson 2011-10-03 23:47:45 EDT
moving to virt-manager for now, then (possibly may be spicy).
Comment 7 Andre Robatino 2011-10-04 04:09:50 EDT
For what it's worth, I've noticed that it doesn't work in VirtualBox either.
Comment 8 Adam Williamson 2011-10-14 15:47:18 EDT
Discussed at 2011-10-14 blocker review meeting. As this affects only VM installs, and the criterion in question is more 'polish' than 'essential functionality', and the bug can be fixed with a post-release update if necessary, we're downgrading this to NTH.
Comment 9 Cole Robinson 2012-02-08 13:34:37 EST
I can reproduce, seems to be specific to spice though: switching to cirrus + vnc makes this work.

Reassigning to spice-gtk
Comment 10 Marc-Andre Lureau 2012-02-09 06:10:37 EST
In F15, the vdagent wasn't present, and the client had a mouse grab.

In F16, when the vdagent is running, the client doesn't need the mouse grab, so you can freely move out of the window without pressing a weird key-combination to escape the mouse.

Unfortunately, the client window managers reacts to Alt-Right Click before the spice client, so what you see is the client window manager menu, not the one in the guest.

I am not sure if this is really a bug.. Perhaps we should teach the window manager that when the mouse is over a spice window, it shouldn't interpret Alt-Right Click and let the spice client handle that input.
Comment 11 Cole Robinson 2012-02-09 11:10:56 EST
Marc-Andre, gtk-vnc + f16 guest + tablet pointer doesn't seem to grab the mouse either (at least virt-manager doesn't get a signal to that effect), but the alt+right click is passed to the guest. What is happening differently there?
Comment 12 Cole Robinson 2012-06-17 18:02:43 EDT
Marc-Andre, any thoughts on comment #11?
Comment 13 Cole Robinson 2013-01-14 20:11:05 EST
Since this has lingered for a while and F16 is soon EOL, closing. If anyone cares and can still reproduce this issue on Fedora 18, please reopen.

Note You need to log in before you can comment on or make changes to this bug.